Mail archive
alpine-aports

[alpine-aports] [PATCH] main/openntpd: upgrade to 5.7_p4

From: systmkor <systmkor_at_gmail.com>
Date: Wed, 3 Jun 2015 18:15:38 -0700

---
 main/openntpd/APKBUILD         | 22 ++++++-----------
 main/openntpd/adjtimex.patch   | 29 ----------------------
 main/openntpd/fix-cdecls.patch | 56 ------------------------------------------
 3 files changed, 8 insertions(+), 99 deletions(-)
 delete mode 100644 main/openntpd/adjtimex.patch
 delete mode 100644 main/openntpd/fix-cdecls.patch
diff --git a/main/openntpd/APKBUILD b/main/openntpd/APKBUILD
index 70c9a84..d2de528 100644
--- a/main/openntpd/APKBUILD
+++ b/main/openntpd/APKBUILD
_at_@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=openntpd
-pkgver=5.7_p1
+pkgver=5.7_p4
 _myver=${pkgver/_/}
 pkgrel=0
 pkgdesc="Lightweight NTP server ported from OpenBSD"
_at_@ -13,12 +13,12 @@ makedepends="openssl-dev linux-headers bsd-compat-headers"
 arch="all"
 license=BSD
 source="
-	ftp://ftp.openbsd.org/pub/OpenBSD/OpenNTPD/openntpd-$_myver.tar.gz
-	fix-cdecls.patch
-	adjtimex.patch
+	http://ftp.openbsd.org/pub/OpenBSD/OpenNTPD/openntpd-$_myver.tar.gz
 	openntpd.confd
 	openntpd.initd
 	"
+#fix-cdecls.patch
+#adjtimex.patch
 
 _builddir="$srcdir"/openntpd-$_myver
 prepare() {
_at_@ -29,7 +29,7 @@ prepare() {
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
 		esac
 	done
-	sed -i '/NTPD_USER/s:_ntp:ntp:' ntpd.h || return 1
+	sed -i '/NTPD_USER/s:_ntp:ntp:' src/ntpd.h || return 1
 }
 
 build() {
_at_@ -52,18 +52,12 @@ package() {
 	install -Dm644 ../openntpd.confd "$pkgdir/etc/conf.d/$pkgname"
 }
 
-md5sums="800c5d3ef2b8e3ac403698fdf0c54c2a  openntpd-5.7p1.tar.gz
-4d18d6b30d33ccc1f7edaddef380b50b  fix-cdecls.patch
-8b1acd9ba6f9ff71af0bda7111f1d91f  adjtimex.patch
+md5sums="9d818a143fbc5d830203fa2f4b4c6a2a  openntpd-5.7p4.tar.gz
 e3eee9eb2ea092dfdf9d887cd6df5795  openntpd.confd
 e7856ad0eef420922f1d501d9ccac117  openntpd.initd"
-sha256sums="071cfdcfc179c481568a2b8262945243a3123abfc7fa8831da1bbff3729b8307  openntpd-5.7p1.tar.gz
-2c218a8ca4bce116136599f8183db4687fed30c7db4428e9b7db62147037cdce  fix-cdecls.patch
-f83fc039e99376a2952956ecfa649eb050e621307202166c7636fc2a1ff18391  adjtimex.patch
+sha256sums="a993d95976e375acc0ab1a677fd268f55024477835633c8ae404895046bccb23  openntpd-5.7p4.tar.gz
 a1cb9dc8fbbaf6f439d6547bce9d59e86e7e13855b037d33bad1f789fb7050f3  openntpd.confd
 42987f19f2fc54455c8aeed0e9bc586ceafae85762cb20e33858139208ab6c79  openntpd.initd"
-sha512sums="2fe6f7daae147eca616bbc76bbcc9d0d2d03cb705f1437a3fa21c98114ce9b78eabbbcbf9ed38d4d7752936a9bf2ee2cabe0a75dfa8f00980088dc2d9f8ac4df  openntpd-5.7p1.tar.gz
-123315d157017962c5838ed7dcf227c5e442330a0676fe9a96f099211118b525f8b15d0eaac8f466836bcbfaed3b469b9740966566e96b3dfef2e99f4d93677f  fix-cdecls.patch
-1538062645a675cd7b30dbe5be31be7bf06353fe8730dcc45f62d7273b3daf0e90bf377312e7681df3257fd99238cb6fb4d8220c6502179604bded2ea8816d6c  adjtimex.patch
+sha512sums="2a185139c915482086069fa19dd3070884a415137d1688059559d2da892928afbbe2fa0a8ade70d474809710265dcc05906abaf261892d7894e70272e2e516ef  openntpd-5.7p4.tar.gz
 a80de3a07eadebeb67b2a3532713df34f1c2113965001f50bdad90f66df6fe57af08e9fba7afac9c5f0afb52d2318c120cd4eb428255f8bc5ef748cefd7e106a  openntpd.confd
 0cdead06e4b359ecedb1065c929ddd66ef3bc5d321bd96e462abf1f55ab289c36793ee5e8f4262c0b7ef7e3532f3613fa66ca22e88f742814f357310465b7d99  openntpd.initd"
diff --git a/main/openntpd/adjtimex.patch b/main/openntpd/adjtimex.patch
deleted file mode 100644
index 6dbf529..0000000
--- a/main/openntpd/adjtimex.patch
+++ /dev/null
_at_@ -1,29 +0,0 @@
---- ./compat/adjfreq_linux.c.orig
-+++ ./compat/adjfreq_linux.c
-_at_@ -37,20 +37,20 @@
- 		txc.modes = ADJ_FREQUENCY;
- 		txc.freq = *freq / 1e3 / (1LL << 16);
- 
--		if ((ntp_adjtime(&txc)) == -1)
--			log_warn("ntp_adjtime (2) failed");
-+		if ((adjtimex(&txc)) == -1)
-+			log_warn("adjtimex (2) failed");
- 
--		log_debug("ntp_adjtime adjusted frequency by %fppm",
-+		log_debug("adjtimex adjusted frequency by %fppm",
- 			  ((txc.freq * 1e3) *  (1LL<<16) / 1e3 / (1LL << 32)));
- 	}
- 	if (oldfreq != NULL) {
- 		txc.modes = 0;
--		if ((ntp_adjtime(&txc)) == -1) {
--			log_warn("ntp_adjtime (1) failed");
-+		if ((adjtimex(&txc)) == -1) {
-+			log_warn("adjtimex (1) failed");
- 			return -1;
- 		}
- 		newfreq = (txc.freq * 1e3) *  (1LL<<16);
--		log_debug("ntp_adjtime returns frequency of %fppm",
-+		log_debug("adjtimex returns frequency of %fppm",
- 			  newfreq / 1e3 / (1LL << 32));
- 		*oldfreq = newfreq;
- 	}
diff --git a/main/openntpd/fix-cdecls.patch b/main/openntpd/fix-cdecls.patch
deleted file mode 100644
index be3d081..0000000
--- a/main/openntpd/fix-cdecls.patch
+++ /dev/null
_at_@ -1,56 +0,0 @@
---- ./include/sha2_openbsd.h.orig
-+++ ./include/sha2_openbsd.h
-_at_@ -63,7 +63,10 @@
- 	u_int8_t	buffer[SHA512_BLOCK_LENGTH];
- } SHA2_CTX;
- 
--__BEGIN_DECLS
-+#ifdef  __cplusplus
-+extern "C" {
-+#endif
-+
- void SHA224Init(SHA2_CTX *);
- void SHA224Transform(u_int32_t state[8], const u_int8_t [SHA224_BLOCK_LENGTH]);
- void SHA224Update(SHA2_CTX *, const u_int8_t *, size_t)
-_at_@ -131,6 +134,8 @@
- char *SHA512Data(const u_int8_t *, size_t, char *)
- 	__attribute__((__bounded__(__string__,1,2)))
- 	__attribute__((__bounded__(__minbytes__,3,SHA512_DIGEST_STRING_LENGTH)));
--__END_DECLS
-+#ifdef  __cplusplus
-+}
-+#endif
- 
- #endif /* _SHA2_H */
---- ./include/md5_openbsd.h.orig
-+++ ./include/md5_openbsd.h
-_at_@ -15,6 +15,8 @@
- #ifndef _MD5_H_
- #define _MD5_H_
- 
-+#include <sys/types.h>
-+
- #define	MD5_BLOCK_LENGTH		64
- #define	MD5_DIGEST_LENGTH		16
- #define	MD5_DIGEST_STRING_LENGTH	(MD5_DIGEST_LENGTH * 2 + 1)
-_at_@ -25,7 +27,9 @@
- 	u_int8_t buffer[MD5_BLOCK_LENGTH];	/* input buffer */
- } MD5_CTX;
- 
--__BEGIN_DECLS
-+#ifdef  __cplusplus
-+extern "C" {
-+#endif
- void	 MD5Init(MD5_CTX *);
- void	 MD5Update(MD5_CTX *, const u_int8_t *, size_t)
- 		__attribute__((__bounded__(__string__,2,3)));
-_at_@ -44,6 +48,8 @@
- char	*MD5Data(const u_int8_t *, size_t, char *)
- 		__attribute__((__bounded__(__string__,1,2)))
- 		__attribute__((__bounded__(__minbytes__,3,MD5_DIGEST_STRING_LENGTH)));
--__END_DECLS
-+#ifdef  __cplusplus
-+}
-+#endif
- 
- #endif /* _MD5_H_ */
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jun 03 2015 - 18:15:38 GMT